Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRichTooltipPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.RichTooltipPanelUI
org.pushingpixels.flamingo.internal.ui.common.BasicRichTooltipPanelUI
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRichTooltipPanelUI

public class SubstanceRichTooltipPanelUI extends org.pushingpixels.flamingo.internal.ui.common.BasicRichTooltipPanelUI
UI for `JRichTooltipPanel` components in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicRichTooltipPanelUI

`org.pushingpixels.flamingo.internal.ui.common.BasicRichTooltipPanelUI.RichTooltipPanelLayout`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicRichTooltipPanelUI

`descriptionLabels, footerImageLabel, footerLabels, footerSeparator, mainImageLabel, richTooltipPanel, titleLabels`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceRichTooltipPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`paintBackground(Graphics g)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicRichTooltipPanelUI

`createLayoutManager, getDescriptionTextWidth, getLayoutGap, installComponents, installDefaults, installListeners, installUI, paint, removeExistingComponents, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI, update`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceRichTooltipPanelUI

public SubstanceRichTooltipPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### paintBackground

protected void paintBackground(Graphics g)

Overrides:
  `paintBackground` in class `org.pushingpixels.flamingo.internal.ui.common.BasicRichTooltipPanelUI`